The Spring Framework

## org.springframework.web.context.support
Class HttpRequestHandlerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.springframework.web.context.support.HttpRequestHandlerServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class HttpRequestHandlerServlet

extends HttpServlet

Simple HttpServlet that delegates to an `HttpRequestHandler` bean defined in Spring's root web application context. The target bean name must match the HttpRequestHandlerServlet servlet-name as defined in `web.xml`.

This can for example be used to expose a single Spring remote exporter, such as `HttpInvokerServiceExporter` or `HessianServiceExporter`, per HttpRequestHandlerServlet definition. This is a minimal alternative to defining remote exporters as beans in a DispatcherServlet context (with advanced mapping and interception facilities being available there).

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `HttpRequestHandler`, `DispatcherServlet`, Serialized Form

Constructor Summary
`HttpRequestHandlerServlet()`

Method Summary
`void` `init()`
`protected void` `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpRequestHandlerServlet

    public HttpRequestHandlerServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Overrides:
    `service` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.